#pragma once
#include <Kam3D.h>
#include <TastaturEreignis.h>
#include <Bildschirm.h>
#include <Zeit.h>

class PlayerKam : public Framework::Kam3D
{
private:
	bool kameraControll;
	int entityId;

public:
	PlayerKam(Framework::Bildschirm3D* zScreen);
	void setDirection(Framework::Vec3<float> direction);
	void doTastaturEreignis(Framework::TastaturEreignis& te) override;
	void doMausEreignis(Framework::MausEreignis& me) override;
	bool tick(double time) override;
	void setEntityId(int id);
	void setControlEnabled(bool enabled);
	int getEntityId() const;
	Framework::Vec3<float> getDirection() const;
};