#pragma once
#include <Array.h>
#include <HashMap.h>
#include <RCPointer.h>
#include <UIInitialization.h>
#include <Schrift.h>
#include <DLLRegister.h>
#include <Bildschirm.h>
#include <Fenster.h>

#include "Menu.h"
#include "NetworkHandler.h"
#include "World.h"

#ifndef variable
#define variable extern
#endif

variable Framework::HashMap<Framework::Text, Framework::RCPointer<Menu>>* menuRegister;
variable UIInit uiFactory;
variable Framework::HashMap<Framework::Text, Framework::RCPointer<Schrift>>* fontRegister;
variable NetworkHandler* network;
variable DLLRegister* dlls;
variable World* currentGame;
variable Framework::WFenster* window;
variable RCArray<Bild>* itemIcons;
variable BlockType** blockTypes;
variable int blockTypeCount;
variable ItemType** itemTypes;
variable int itemTypeCount;
variable EntityType** entityTypes;
variable int entityTypeCount;


void initVariables();
void initMenus();
void releaseVariables();